netatalk: generic_cjk.h File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
generic_cjk.h File Reference
`#include <atalk/unicode.h>`
`#include <iconv.h>`
`#include <atalk/byteorder.h>`

Go to the source code of this file.

## Data Structures
struct | cjk_index_t

## Macros
#define | CJK_PUSH_BUFFER 4
#define | CJK_PULL_BUFFER 8

## Functions
size_t | cjk_generic_push (size_t(*)(uint8_t *, const ucs2_t *, size_t *), void *, char **, size_t *, char **, size_t *)
size_t | cjk_generic_pull (size_t(*)(ucs2_t *, const uint8_t *, size_t *), void *, char **, size_t *, char **, size_t *)
size_t | cjk_char_push (uint16_t, uint8_t *)
size_t | cjk_char_pull (ucs2_t, ucs2_t *, const uint32_t *)
uint16_t | cjk_lookup (uint16_t, const cjk_index_t *, const uint16_t *)
ucs2_t | cjk_compose (ucs2_t, ucs2_t, const uint32_t *, size_t)
ucs2_t | cjk_compose_seq (const ucs2_t *, size_t *, const uint32_t *, size_t)

## Macro Definition Documentation

## ◆ CJK_PULL_BUFFER

#define CJK_PULL_BUFFER 8

## ◆ CJK_PUSH_BUFFER

#define CJK_PUSH_BUFFER 4

## Function Documentation

## ◆ cjk_char_pull()

size_t cjk_char_pull | ( | ucs2_t | wc,
|  | ucs2_t * | out,
|  | const uint32_t * | compose )
| extern

## ◆ cjk_char_push()

size_t cjk_char_push | ( | uint16_t | c,
|  | uint8_t * | out )
| extern

## ◆ cjk_compose()

ucs2_t cjk_compose | ( | ucs2_t | base,
|  | ucs2_t | comb,
|  | const uint32_t * | table,
|  | size_t | size )
| extern

## ◆ cjk_compose_seq()

ucs2_t cjk_compose_seq | ( | const ucs2_t * | in,
|  | size_t * | len,
|  | const uint32_t * | table,
|  | size_t | size )
| extern

## ◆ cjk_generic_pull()

size_t cjk_generic_pull | ( | size_t(* | char_func )(ucs2_t *, const uint8_t *, size_t *),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| extern

## ◆ cjk_generic_push()

size_t cjk_generic_push | ( | size_t(* | char_func )(uint8_t *, const ucs2_t *, size_t *),
|  | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| extern

## ◆ cjk_lookup()

uint16_t cjk_lookup | ( | uint16_t | c,
|  | const cjk_index_t * | index,
|  | const uint16_t * | charset )
| extern